#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;

uniform vec4 u_colorParam;

void main()
{
    vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
    gl_FragColor = vec4(textureColor.r * u_colorParam.r, textureColor.g * u_colorParam.g, textureColor.b * u_colorParam.b, textureColor.a * u_colorParam.a);
}